Subject: Re: bug#78221: 31.0.50; Improving *-change-functions notifications

From: Ihor Radchenko <[email-masked]>
Date: Sun, 04 May 2025 13:08:05 +0000

Stefan Monnier <[email-masked]> writes:

> I see.  But then, why fix it on the side of your `*-change-functions`
> rather than on using `inhibit-modification-hooks` (so it benefits all
> the `*-change-functions`)?

Because I cannot ignore possibility that some third-party config is
making use of *-change-functions to detect Org putting properties.

Also, I cannot guarantee that all third-party packages do not use
put-text-property outside inhibit-modification-hooks.

-- 
Ihor Radchenko // yantar92,
Org mode maintainer,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>